Subject: bug#9044: 24.0.50; File mode specification error: (error "Malformed -*- line")

From: Juri Linkov <[email-masked]>
Date: Fri, 16 Sep 2011 15:50:04 +0300

> The list is:
>
> (YUV YCbCrA YCbCr Y XWD XV XPS XPM XCF XC XBM X3F X WPG WMZ WMV WMF WBMP
> VST VIFF VID VICAR VDA UYVY UIL UBRL TXT TTF TTC TIM TILE TIFF64 TIFF
> THUMBNAIL TGA TEXT SVGZ SVG SUN STEGANO SRF SR2 SHTML SGI SFW SCT SCR
> RLE RLA RGBO RGBA RGB RBG RAS RAF RADIAL-GRADIENT R PWP PTIF PSD PSB PS3
> PS2 PS PREVIEW PPM PNM PNG8 PNG32 PNG24 PNG PLASMA PJPEG PIX PICT PICON
> PGX PGM PFM PFB PFA PES PEF PDFA PDF PDB PCX PCT PCL PCDS PCD PBM
> PATTERN PAM PALM PAL OTF OTB ORF O NULL NEF MVG MTV MSVG MSL MRW MPG
> MPEG MPC MP4 MOV MONO MNG MIFF MATTE MAT MAP M4V M2V M LABEL KDC K25 K
> JPX JPG JPEG JPC JP2 JNG J2C ISOBRL IPL INLINE INFO ICON ICO ICB HTML
> HTM HRZ HISTOGRAM HALD GROUP4 GRB GRAY GRADIENT GIF87 GIF GBR G3 G FTS
> FRACTAL FITS FAX EXR ERF EPT3 EPT2 EPT EPSI EPSF EPS3 EPS2 EPS EPI EPDF
> DPX DOT DNG DJVU DFONT DDS DCX DCR DCM CUT CUR CRW CR2 CMYKA CMYK CLIP
> CIP CIN CAPTION CALS CAL C BRG BRF BMP3 BMP2 BMP BGRA BGR B AVS AVI ARW
> ART AI A 3FR)
>
> And that's a lot of text formats.
>
> How about just adding the common ones -- jpeg?, tiff?, png, gif.  That
> will take care of 99% of the problems.

There are many other binary formats that may contain "-*-" in the first line.

For example, it's impossible to visit TGA files in Emacs because they contain
a lot of "-*-".  TARGA is an old raster graphics file format still used
in modern programs for saving screenshots.  You can see one example below:

BTW, Gnus doesn't display images supported by ImageMagick inline.
Could you please fix this in Gnus ;-)